Bug 115688 - Add Checkbox option to disable animated overlay to Tools -> Options -> Accessibility panel
Summary: Add Checkbox option to disable animated overlay to Tools -> Options -> Access...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: a11y
  Show dependency treegraph
 
Reported: 2018-02-13 16:29 UTC by V Stuart Foote
Modified: 2021-02-15 09:56 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2018-02-13 16:29:58 UTC
For use with remote display, commit [1] provided Expert Configuration variable "AnimationsEnabled" to disable/enable the "animated" ScOverlayDashedBorder in Calc.

It also happened to solve an a11y issue of bug 35077. But to be more obvious it now needs a separate CheckBox control on the Tools -> Options -> Accessibility panel.

=-ref-=
[1] https://cgit.freedesktop.org/libreoffice/core/commit/?id=2e293978d80c5113ea37f4c7f4b18ee01f2022e1
Comment 1 V Stuart Foote 2018-02-13 16:40:57 UTC
@Tomaž, *

The Expert Configuration setting is good, but could we also provide a UI checkbox to control this for the benefit of users with vision issues? Grouping it with the other Assistive Technology tools controls on the Accessibility panel would ensure those who need it can find it.
Comment 2 Heiko Tietze 2018-02-13 17:17:41 UTC
I'm against this option on a prominent position (=> WFM). My arguments are in bug 35077 comment 35. The feature itself supports a11y and disabling it contradicts the original intention.
Comment 3 V Stuart Foote 2018-02-13 18:21:47 UTC
(In reply to Heiko Tietze from comment #2)
>...  The feature itself supports a11y and disabling it
> contradicts the original intention.

We are not looking to reverse the default enabled mode as that is better UX in general.

Rather the whole point to the Tools -> Options -> Accessibility panel remains to make configuration as painless as possible for those users requiring Assistive Technology support. For those with photosensitivity to visual stimuli, or full PSE, even the ~2Hz "dance" of the border animation can be disabling.

So it is _not_ a question of "promoting" to Tools -> Options, but of specifically grouping it with the other a11y AT tools to control the UI. It just makes sense to do so as it _belongs_ there.
Comment 4 Tomaz Vajngerl 2018-02-13 21:22:41 UTC
Sure, adding this to the Accessibility panel makes sense (looking at what is available there already).
Comment 5 crxssi 2018-02-13 22:11:41 UTC
I will add my hat in the ring that it SHOULD be added to accessibility options.  It isn't just for photosensitive, but also for people with OCD who are mildly to severely distracted by animation.  Of course, they can use the expert config option, but that is pretty well hidden there.
Comment 6 QA Administrators 2019-02-15 03:47:11 UTC Comment hidden (obsolete)
Comment 7 crxssi 2019-02-15 04:20:34 UTC
(In reply to QA Administrators from comment #6)
> QA is asking bug reporters and confirmers to retest open,
> confirmed bugs which have not been touched for over a year.

There is nothing to test.  As far as I am aware, the option still doesn't exist and we are still waiting...
Comment 8 V Stuart Foote 2019-02-15 13:06:38 UTC
Still valid
Comment 9 QA Administrators 2021-02-15 04:07:46 UTC
Dear V Stuart Foote,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug